Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAccessible.Text

    java.lang.Object
      java.lang.Enum<QAccessible.Text>
          com.trolltech.qt.gui.QAccessible.Text

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAccessible.Text>

Enclosing class:
  QAccessible

    public static enum QAccessible.Text

extends java.lang.Enum<QAccessible.Text>
implements QtEnumerator

This enum specifies string information that an accessible object returns.

Enum Constant Summary
`Accelerator` The keyboard shortcut that executes the object's default action.
`Description` A short text describing the object.
`Help` A longer text giving information about how to use the object.
`Name` The name of the object.
`UserText` The first value to be used for user defined text.
`Value` The value of the object.

Method Summary
`static QAccessible.Text` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAccessible.Text` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAccessible.Text[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Name

    public static final QAccessible.Text Name

  The name of the object. This can be used both as an identifier or a short description by accessible clients.

### Description

    public static final QAccessible.Text Description

  A short text describing the object.

### Value

    public static final QAccessible.Text Value

  The value of the object.

### Help

    public static final QAccessible.Text Help

  A longer text giving information about how to use the object.

### Accelerator

    public static final QAccessible.Text Accelerator

  The keyboard shortcut that executes the object's default action.

### UserText

    public static final QAccessible.Text UserText

  The first value to be used for user defined text.

Method Detail

### values

    public static final QAccessible.Text[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAccessible.Text c : QAccessible.Text.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAccessible.Text valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAccessible.Text resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD